Subject: Re: bug#23193: Cannot enable logout button in GNOME

From: [email-masked] (宋文武)
Date: Sun, 15 May 2016 10:56:29 +0800

Chris Marusich <[email-masked]> writes:

> Hi,
>
> I'm using GuixSD v0.10.0.  The default GNOME installation does not have
> the "log out" button enabled by default.  I've heard that this is the
> new default in GNOME, so it's probably not an issue we need to fix.
> However, I cannot seem to enable it at all.
>
> My understanding is that you should be able to enable the "log out"
> button with a command like the following:
>
> gsettings set org.gnome.shell always-show-log-out true
>
> I've tried this.  Even though running
>
> gsettings get org.gnome.shell always-show-log-out
>
> shows that the setting was stored as 'true' (even after rebooting), the
> "log out" button does not get displayed when I log into GNOME.  Maybe
> I'm looking in the wrong spot: I expected to find it near the "tools"
> and "power" buttons, which are located in the menu that appears when you
> click on the upper right corner of the GUI.
The gsettings trick does work for me, and the “Log Out” action will under
the ‘User’ menu (it’s below the ‘Battery’ menu, only icon and no name).